install.packages("readxl")
library(readxl)

getwd()
setwd("C:/Users/Jason/Desktop/")



test=read_excel("test1.xlsx",sheet=1,na="NA")
test_1=as.data.frame(t(test))
colnames(test_1)=test_1[2,]
test_1$Gene_symbol=c(test_1[1,1:6])
test_1$data_type=rownames(test_1)
rownames(test_1)=NULL
test_1=test_1[-c(1,2),]
test_1$data_type

Pearson_coeffi_to_add=test_1[1,]
Pearson_p_to_add=test_1[2,]
Spearman_coeffi_to_add=test_1[3,]
Spearman_p_to_add=test_1[4,]

Pearson_coeffi=Pearson_coeffi_to_add
Pearson_p=Pearson_p_to_add
Spearman_coeffi=Spearman_coeffi_to_add
Spearman_p=Spearman_p_to_add

setwd("C:/Users/Jason/Desktop/circRNA-GBM- immune infiltration/correlation data/")
dir()
for (i in dir()) {
  file_name_to_add=paste(i)
  read_excel(file_name_to_add,sheet=1,na="NA")
}

for (i in dir()) {
  file_name_to_add=paste(i)
  test=read_excel(file_name_to_add,sheet=1,na="NA")
  test_1=as.data.frame(t(test))
  colnames(test_1)=test_1[2,]
  test_1$Gene_symbol=c(test_1[1,1:6])
  test_1$data_type=rownames(test_1)
  rownames(test_1)=NULL
  test_1=test_1[-c(1,2),]
  test_1$data_type
  
  Pearson_coeffi_to_add=test_1[1,]
  Pearson_p_to_add=test_1[2,]
  Spearman_coeffi_to_add=test_1[3,]
  Spearman_p_to_add=test_1[4,]
  
  Pearson_coeffi=rbind(Pearson_coeffi,Pearson_coeffi_to_add)
  Pearson_p=rbind(Pearson_p,Pearson_p_to_add)
  Spearman_coeffi=rbind(Spearman_coeffi,Spearman_coeffi_to_add)
  Spearman_p=rbind(Spearman_p,Spearman_p_to_add)
  }




Pearson_coeffi$Gene_symbol=as.vector(unlist(Pearson_coeffi$Gene_symbol))
Pearson_p$Gene_symbol=  as.vector(unlist(Pearson_p$Gene_symbol))
Spearman_coeffi$Gene_symbol= as.vector(unlist(Spearman_coeffi$Gene_symbol)) 
Spearman_p$Gene_symbol=  as.vector(unlist(Spearman_p$Gene_symbol))

Pearson_coeffi=unique(Pearson_coeffi)
Pearson_p=unique(Pearson_p)
Spearman_coeffi=unique(Spearman_coeffi)
Spearman_p=unique(Spearman_p)

Pearson_coeffi=Pearson_coeffi[-which(Pearson_coeffi$Gene_symbol=="PAIP1P1"),]
Pearson_p=Pearson_p[-which(Pearson_p$Gene_symbol=="PAIP1P1"),]
Spearman_coeffi=Spearman_coeffi[-which(Spearman_coeffi$Gene_symbol=="PAIP1P1"),]
Spearman_p=Spearman_p[-which(Spearman_p$Gene_symbol=="PAIP1P1"),]

write.table(Pearson_coeffi, file = "Pearson_coeffi.txt", append = FALSE, quote = F, sep = "\t",
            eol = "\n", na = "NA", dec = ".", row.names = F,
            col.names = TRUE, qmethod = c("escape", "double"),
            fileEncoding = "")
write.table(Pearson_p, file = "Pearson_p.txt", append = FALSE, quote = F, sep = "\t",
            eol = "\n", na = "NA", dec = ".", row.names = F,
            col.names = TRUE, qmethod = c("escape", "double"),
            fileEncoding = "")
write.table(Spearman_coeffi, file = "Spearman_coeffi.txt", append = FALSE, quote = F, sep = "\t",
            eol = "\n", na = "NA", dec = ".", row.names = F,
            col.names = TRUE, qmethod = c("escape", "double"),
            fileEncoding = "")
write.table(Spearman_p, file = "Spearman_p.txt", append = FALSE, quote = F, sep = "\t",
            eol = "\n", na = "NA", dec = ".", row.names = F,
            col.names = TRUE, qmethod = c("escape", "double"),
            fileEncoding = "")

